Bug 472331 - gervill slows things down in tuxguitar
gervill slows things down in tuxguitar
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lillian Angel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-19 23:16 EST by Orcan Ogetbil
Modified: 2009-07-14 10:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:27:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2008-11-19 23:16:33 EST
Description of problem:
With openjdk, when I enable the Java Sound API Plugin in tuxguitar, the program becomes less responsive. If I use Sun's java, everything is fine.

Version-Release number of selected component (if applicable):
1.6.0

How reproducible:
Always

Steps to Reproduce:
1. Install java-1.6.0-openjdk and tuxguitar from F-9 repo or rawhide.
2. Launch tuxguitar.
3. Disable/Enable the gervill plugin by going to Tools -> Plugins -> check "Java Sound API Plugin".
You will realize that enabling/disabling this plugin takes quite some time. 
4. With the plugin enabled, try to go to Tools->Settings->Sound and select Gervill as the sound output.
You will immediately realize that the application lags again.
5. Close tuxguitar
6. Re-launch tuxguitar. You'll see that it takes too long to launch tuxguitar with the Java Sound Api plugin enabled.

Actual results:
The application behaves slow, when initializing and stopping gervill. 

Expected results:
The application should behave normal, just like it does when I use Sun's Java.
Comment 1 Mark Wielaard 2008-11-20 06:13:40 EST
I couldn't immediately replicate with:
java-1.6.0-openjdk-1.6.0.0-0.18.b09.fc9.x86_64
tuxguitar-1.0-7.fc9.x86_64

But that is mainly because I get:

$ tuxguitar 
fluidsynth: ALSA driver: Using format s16, rw, interleaved
java.lang.IllegalArgumentException: No line matching interface SourceDataLine supporting format PCM_SIGNED 44100.0 Hz, 16 bit, stereo, 4 bytes/frame, little-endian is supported.

Which I believe is solved in a later (or rawhide/f10) update. Will try that later.

Could you post the $ rpm -q java-1.6.0-openjdk tuxguitar versions?
Comment 2 Orcan Ogetbil 2008-11-20 13:05:07 EST
Hmm weird ... I'm the maintainer of tuxguitar. I can't reproduce what you said.
The rawhide version of tuxguitar has an extra pdf output support (because we have itext in rawhide). That's it, I didn't include any other fix in the rawhide version of tuxguitar.

I have 

java-1.6.0-openjdk-1.6.0.0-0.18.b09.fc9.x86_64

and tried both
tuxguitar-1.0-7.fc9.x86_64
and 
tuxguitar-1.0-8.fc10.x86_64

Well, tuxguitar starts and works with both versions. It just responds slow when the Java Sound api plugin is enabled and I use openjdk. 

The thing is, with gervill enabled, the config dialog entries do not show up immediately. You may need to wait a little. Actually *this* is the problem. Meanwhile Sun's java doesn't make things behave slow.
Comment 3 Orcan Ogetbil 2008-11-28 15:52:16 EST
I tried this on F-10 with F-10's openjdk. Things work as desired.
So this is an F-9 specific bug.
Comment 4 Bug Zapper 2009-06-09 23:18:57 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 10:27:08 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.